// import storage from '@/utils/storage'
// import store from '@/store'
// import platform from '@/utils/platform'
// import config from "@/utils/config";

import {useConfigStore} from "@/store/useConfigStore";
import {useUserStore} from "@/store/useUserStore";

export default function Initializer() {
  // console.log('Initializer')
  // 当前运行的终端
  // if (process.env.NODE_ENV === 'production') storage.clearOtherKey(config.get('clearOtherKey'))
  // store.commit('setting/setPlatform', platform)
  // store.dispatch('config/getConfig')
  // if (storage.getKey('LOGIN_TEACHER_TOKEN')) {
  // 用户认证token
  // store.commit('user/setLoginToken', storage.getKey('LOGIN_TEACHER_TOKEN'))
  // store.dispatch('user/getUserInfo')
  // store.dispatch('machine/getConfig')
  const configStore = useConfigStore()
  configStore._init()
  const userStore = useUserStore()
  userStore._init()
}
